Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.command
Interface CommandResponder

All Known Implementing Classes:
  LocalCommandResponder

    public interface CommandResponder

An interface for handling responses. This will be used by Command and supplied by the CommandService. This will extend the AttributeReader that exposes the items sent as part of the command. No need to access those directly; let the commander handle it.

Version:
  1.0

  Version History

      EPG - Initial - 10 APR 06

Author:
  Erich P. Gatejen

Method Summary
`void` | `add(NV item)` Add a response.
`void` | `done()` Make the response done.
`void` | `flush()` Force the responder to flush.
`AttributeReader` | `getCommandAttributes()` Get the command attributes.
`SystemInterface` | `getSystemInterface()` Get a system interface.
`void` | `remove(java.lang.String name)` Remove a response for replacement, if possible.

Method Detail

### getCommandAttributes

    AttributeReader getCommandAttributes()
                                         throws SystemException

  Get the command attributes.

  Throws:
    `SystemException`

### add

    void add(NV item)
             throws SystemException

  Add a response.

  Parameters:
    `item` - the item
  Throws:
    `SystemException`

### getSystemInterface

    SystemInterface getSystemInterface()
                                       throws SystemException

  Get a system interface.

  Returns:
    A system interface.
  Throws:
    `SystemException`

### remove

    void remove(java.lang.String name)
                throws SystemException

  Remove a response for replacement, if possible. If the reponder has been flushed, the response may have already been transmitted, and then it is too late. So be careful with this.

  Parameters:
    `name` - the item to replace
  Throws:
    `SystemException`

### flush

    void flush()
               throws SystemException

  Force the responder to flush. This should make it transmit.

  Throws:
    `SystemException`

### done

    void done()
              throws SystemException

  Make the response done. This will flush. Any further adds or replaces will result in an exception.

  Throws:
    `SystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.